﻿using System.Reflection;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ArchivesCenter3
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            updateinfo(); 
            Version version = Assembly.GetExecutingAssembly().GetName().Version;
            versionTextBlock.Text = $"版本号：{version.Major}.{version.Minor}.{version.Build}";
        }

        private void updateinfo()
        {
            welcomeText.Text = "欢迎！" + Settings1.Default.Username + "         ";
            WelcomeTitle.Text = Settings1.Default.WelcomeTitle;
            DatabaseName.Text = Settings1.Default.DatabaseName;
            DatabaseSubtitle.Text = Settings1.Default.DatabaseSubtitle;
            UsernameCu.Text = Settings1.Default.Username;
            WelcomeTitleCu.Text = Settings1.Default.WelcomeTitle;
            DatabaseNameCu.Text = Settings1.Default.DatabaseName;
            DatabaseSubtitleCu.Text = Settings1.Default.DatabaseSubtitle;
            PasswordCu.Text = Settings1.Default.Password;
            DatabaseNameBox.Text = null;
            DatabaseSubtitleBox.Text = null;
            WelcomeTitleBox.Text = null;
            UsernameBox.Text = null;
            PasswordBox.Text = null;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (!string.IsNullOrEmpty(DatabaseNameBox.Text))
                Settings1.Default.DatabaseName = DatabaseNameBox.Text;

            if (!string.IsNullOrEmpty(DatabaseSubtitleBox.Text))
                Settings1.Default.DatabaseSubtitle = DatabaseSubtitleBox.Text;

            if (!string.IsNullOrEmpty(WelcomeTitleBox.Text))
                Settings1.Default.WelcomeTitle = WelcomeTitleBox.Text;

            if (!string.IsNullOrEmpty(UsernameBox.Text))
                Settings1.Default.Username = UsernameBox.Text;

            if (!string.IsNullOrEmpty(PasswordBox.Text))
                Settings1.Default.Password = PasswordBox.Text;
            Settings1.Default.Save();
            updateinfo();
        }

        private void TextChanged(object sender, TextChangedEventArgs e)
        {
            bool allTextBoxesEmpty = string.IsNullOrWhiteSpace(DatabaseNameBox.Text) &&
                             string.IsNullOrWhiteSpace(DatabaseSubtitleBox.Text) &&
                             string.IsNullOrWhiteSpace(WelcomeTitleBox.Text) &&
                             string.IsNullOrWhiteSpace(UsernameBox.Text) &&
                             string.IsNullOrWhiteSpace(PasswordBox.Text);
            settingSaveButton0.IsEnabled = !allTextBoxesEmpty;
            settingSaveButton1.IsEnabled = !allTextBoxesEmpty;
        }
    }
}